---
table_name: agent_activity_events
classes:
- Clusters::Agents::ActivityEvent
feature_categories:
- deployment_management
description: Historical timeline events belonging to a cluster agent
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74577
milestone: '14.6'
gitlab_schema: gitlab_main_cell
allow_cross_foreign_keys:
- gitlab_main_clusterwide
sharding_key:
  agent_project_id: projects
table_size: small
